<?php

namespace RelatieApiV3;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'authentication' => '\\RelatieApiV3\\StructType\\Authentication',
            'applicationError' => '\\RelatieApiV3\\StructType\\ApplicationError',
            'ActiviteittypeRecV3' => '\\RelatieApiV3\\StructType\\ActiviteittypeRecV3',
            'AdresRecV3' => '\\RelatieApiV3\\StructType\\AdresRecV3',
            'AfdelinginfoRecV3' => '\\RelatieApiV3\\StructType\\AfdelinginfoRecV3',
            'AfdelingRecV3' => '\\RelatieApiV3\\StructType\\AfdelingRecV3',
            'BedrijfinfoRecV3' => '\\RelatieApiV3\\StructType\\BedrijfinfoRecV3',
            'BedrijfInclContinfoRecV3' => '\\RelatieApiV3\\StructType\\BedrijfInclContinfoRecV3',
            'BedrijfInclContRecV3' => '\\RelatieApiV3\\StructType\\BedrijfInclContRecV3',
            'BedrijfRecV3' => '\\RelatieApiV3\\StructType\\BedrijfRecV3',
            'BetaalRecV3' => '\\RelatieApiV3\\StructType\\BetaalRecV3',
            'BiccodeRecV3' => '\\RelatieApiV3\\StructType\\BiccodeRecV3',
            'ContactpersooninfoRecV3' => '\\RelatieApiV3\\StructType\\ContactpersooninfoRecV3',
            'ContactpersoonRecV3' => '\\RelatieApiV3\\StructType\\ContactpersoonRecV3',
            'FunctieRecV3' => '\\RelatieApiV3\\StructType\\FunctieRecV3',
            'KenmerkgroepRecV3' => '\\RelatieApiV3\\StructType\\KenmerkgroepRecV3',
            'KenmerkRecV3' => '\\RelatieApiV3\\StructType\\KenmerkRecV3',
            'LandcodeRecV3' => '\\RelatieApiV3\\StructType\\LandcodeRecV3',
            'NetnummerRecV3' => '\\RelatieApiV3\\StructType\\NetnummerRecV3',
            'PersooninfoRecV3' => '\\RelatieApiV3\\StructType\\PersooninfoRecV3',
            'PersoonRecV3' => '\\RelatieApiV3\\StructType\\PersoonRecV3',
            'ProvinciecodeRecV3' => '\\RelatieApiV3\\StructType\\ProvinciecodeRecV3',
            'RelatiegroepRecV3' => '\\RelatieApiV3\\StructType\\RelatiegroepRecV3',
            'RelatienrRecV3' => '\\RelatieApiV3\\StructType\\RelatienrRecV3',
            'RelatieBiccodeRecV3' => '\\RelatieApiV3\\StructType\\RelatieBiccodeRecV3',
            'RelatieFunctieRecV3' => '\\RelatieApiV3\\StructType\\RelatieFunctieRecV3',
            'RelatieKortinggroepRecV3' => '\\RelatieApiV3\\StructType\\RelatieKortinggroepRecV3',
            'SearchNaamRecV3' => '\\RelatieApiV3\\StructType\\SearchNaamRecV3',
            'TaalcodeRecV3' => '\\RelatieApiV3\\StructType\\TaalcodeRecV3',
            'TitulatuurcodeRecV3' => '\\RelatieApiV3\\StructType\\TitulatuurcodeRecV3',
            'VrijeVeldenRecV3' => '\\RelatieApiV3\\StructType\\VrijeVeldenRecV3',
            'VrijCheckboxveldRecV3' => '\\RelatieApiV3\\StructType\\VrijCheckboxveldRecV3',
            'VrijCodeveldRecV3' => '\\RelatieApiV3\\StructType\\VrijCodeveldRecV3',
            'VrijDatumveldRecV3' => '\\RelatieApiV3\\StructType\\VrijDatumveldRecV3',
            'VrijNumeriekveldRecV3' => '\\RelatieApiV3\\StructType\\VrijNumeriekveldRecV3',
            'VrijTekstveldRecV3' => '\\RelatieApiV3\\StructType\\VrijTekstveldRecV3',
            'WebserviceOperatie' => '\\RelatieApiV3\\StructType\\WebserviceOperatie',
            'ActiviteittypetableV3' => '\\RelatieApiV3\\StructType\\ActiviteittypetableV3',
            'AfdelingtableV3' => '\\RelatieApiV3\\StructType\\AfdelingtableV3',
            'BedrijftableV3' => '\\RelatieApiV3\\StructType\\BedrijftableV3',
            'BedrijfInclConttableV3' => '\\RelatieApiV3\\StructType\\BedrijfInclConttableV3',
            'BiccodetableV3' => '\\RelatieApiV3\\StructType\\BiccodetableV3',
            'ContactpersoontableV3' => '\\RelatieApiV3\\StructType\\ContactpersoontableV3',
            'FunctietableV3' => '\\RelatieApiV3\\StructType\\FunctietableV3',
            'KenmerkgroeptableV3' => '\\RelatieApiV3\\StructType\\KenmerkgroeptableV3',
            'KenmerktableV3' => '\\RelatieApiV3\\StructType\\KenmerktableV3',
            'LandcodetableV3' => '\\RelatieApiV3\\StructType\\LandcodetableV3',
            'NetnummertableV3' => '\\RelatieApiV3\\StructType\\NetnummertableV3',
            'PersoontableV3' => '\\RelatieApiV3\\StructType\\PersoontableV3',
            'ProvinciecodetableV3' => '\\RelatieApiV3\\StructType\\ProvinciecodetableV3',
            'RelatienrtableV3' => '\\RelatieApiV3\\StructType\\RelatienrtableV3',
            'RelatieBiccodetableV3' => '\\RelatieApiV3\\StructType\\RelatieBiccodetableV3',
            'RelatieFunctietableV3' => '\\RelatieApiV3\\StructType\\RelatieFunctietableV3',
            'RelatieKortinggroeptableV3' => '\\RelatieApiV3\\StructType\\RelatieKortinggroeptableV3',
            'SearchNaamTableV3' => '\\RelatieApiV3\\StructType\\SearchNaamTableV3',
            'TaalcodetableV3' => '\\RelatieApiV3\\StructType\\TaalcodetableV3',
            'TitulatuurcodetableV3' => '\\RelatieApiV3\\StructType\\TitulatuurcodetableV3',
            'WebserviceOperaties' => '\\RelatieApiV3\\StructType\\WebserviceOperaties',
            'testConnectionRequest' => '\\RelatieApiV3\\StructType\\TestConnectionRequest',
            'testConnectionResponse' => '\\RelatieApiV3\\StructType\\TestConnectionResponse',
            'createPersoonRequest' => '\\RelatieApiV3\\StructType\\CreatePersoonRequest',
            'createPersoonResponse' => '\\RelatieApiV3\\StructType\\CreatePersoonResponse',
            'updatePersoonRequest' => '\\RelatieApiV3\\StructType\\UpdatePersoonRequest',
            'updatePersoonResponse' => '\\RelatieApiV3\\StructType\\UpdatePersoonResponse',
            'createBedrijfRequest' => '\\RelatieApiV3\\StructType\\CreateBedrijfRequest',
            'createBedrijfResponse' => '\\RelatieApiV3\\StructType\\CreateBedrijfResponse',
            'updateBedrijfRequest' => '\\RelatieApiV3\\StructType\\UpdateBedrijfRequest',
            'updateBedrijfResponse' => '\\RelatieApiV3\\StructType\\UpdateBedrijfResponse',
            'createContactpersoonRequest' => '\\RelatieApiV3\\StructType\\CreateContactpersoonRequest',
            'createContactpersoonResponse' => '\\RelatieApiV3\\StructType\\CreateContactpersoonResponse',
            'updateContactpersoonRequest' => '\\RelatieApiV3\\StructType\\UpdateContactpersoonRequest',
            'updateContactpersoonResponse' => '\\RelatieApiV3\\StructType\\UpdateContactpersoonResponse',
            'updatePersoonNrContactRequest' => '\\RelatieApiV3\\StructType\\UpdatePersoonNrContactRequest',
            'updatePersoonNrContactResponse' => '\\RelatieApiV3\\StructType\\UpdatePersoonNrContactResponse',
            'updateContPersoonNrContactRequest' => '\\RelatieApiV3\\StructType\\UpdateContPersoonNrContactRequest',
            'updateContPersoonNrContactResponse' => '\\RelatieApiV3\\StructType\\UpdateContPersoonNrContactResponse',
            'deleteContPersoonNrContactRequest' => '\\RelatieApiV3\\StructType\\DeleteContPersoonNrContactRequest',
            'deleteContPersoonNrContactResponse' => '\\RelatieApiV3\\StructType\\DeleteContPersoonNrContactResponse',
            'createAfdelingRequest' => '\\RelatieApiV3\\StructType\\CreateAfdelingRequest',
            'createAfdelingResponse' => '\\RelatieApiV3\\StructType\\CreateAfdelingResponse',
            'updateAfdelingRequest' => '\\RelatieApiV3\\StructType\\UpdateAfdelingRequest',
            'updateAfdelingResponse' => '\\RelatieApiV3\\StructType\\UpdateAfdelingResponse',
            'createBedrijfInclContRequest' => '\\RelatieApiV3\\StructType\\CreateBedrijfInclContRequest',
            'createBedrijfInclContResponse' => '\\RelatieApiV3\\StructType\\CreateBedrijfInclContResponse',
            'updateBedrijfInclContRequest' => '\\RelatieApiV3\\StructType\\UpdateBedrijfInclContRequest',
            'updateBedrijfInclContResponse' => '\\RelatieApiV3\\StructType\\UpdateBedrijfInclContResponse',
            'addBicRequest' => '\\RelatieApiV3\\StructType\\AddBicRequest',
            'addBicResponse' => '\\RelatieApiV3\\StructType\\AddBicResponse',
            'deleteBicRequest' => '\\RelatieApiV3\\StructType\\DeleteBicRequest',
            'deleteBicResponse' => '\\RelatieApiV3\\StructType\\DeleteBicResponse',
            'addFunctieRequest' => '\\RelatieApiV3\\StructType\\AddFunctieRequest',
            'addFunctieResponse' => '\\RelatieApiV3\\StructType\\AddFunctieResponse',
            'deleteFunctieRequest' => '\\RelatieApiV3\\StructType\\DeleteFunctieRequest',
            'deleteFunctieResponse' => '\\RelatieApiV3\\StructType\\DeleteFunctieResponse',
            'getFunctiesRequest' => '\\RelatieApiV3\\StructType\\GetFunctiesRequest',
            'getFunctiesResponse' => '\\RelatieApiV3\\StructType\\GetFunctiesResponse',
            'getBiccodesRequest' => '\\RelatieApiV3\\StructType\\GetBiccodesRequest',
            'getBiccodesResponse' => '\\RelatieApiV3\\StructType\\GetBiccodesResponse',
            'getTitulatuurcodesRequest' => '\\RelatieApiV3\\StructType\\GetTitulatuurcodesRequest',
            'getTitulatuurcodesResponse' => '\\RelatieApiV3\\StructType\\GetTitulatuurcodesResponse',
            'getLandcodesRequest' => '\\RelatieApiV3\\StructType\\GetLandcodesRequest',
            'getLandcodesResponse' => '\\RelatieApiV3\\StructType\\GetLandcodesResponse',
            'getTaalcodesRequest' => '\\RelatieApiV3\\StructType\\GetTaalcodesRequest',
            'getTaalcodesResponse' => '\\RelatieApiV3\\StructType\\GetTaalcodesResponse',
            'getProvinciecodesRequest' => '\\RelatieApiV3\\StructType\\GetProvinciecodesRequest',
            'getProvinciecodesResponse' => '\\RelatieApiV3\\StructType\\GetProvinciecodesResponse',
            'getRelatietypeRequest' => '\\RelatieApiV3\\StructType\\GetRelatietypeRequest',
            'getRelatietypeResponse' => '\\RelatieApiV3\\StructType\\GetRelatietypeResponse',
            'getPersoonRequest' => '\\RelatieApiV3\\StructType\\GetPersoonRequest',
            'getPersoonResponse' => '\\RelatieApiV3\\StructType\\GetPersoonResponse',
            'getPersonenRequest' => '\\RelatieApiV3\\StructType\\GetPersonenRequest',
            'getPersonenResponse' => '\\RelatieApiV3\\StructType\\GetPersonenResponse',
            'getBedrijfRequest' => '\\RelatieApiV3\\StructType\\GetBedrijfRequest',
            'getBedrijfResponse' => '\\RelatieApiV3\\StructType\\GetBedrijfResponse',
            'getContactpersoonRequest' => '\\RelatieApiV3\\StructType\\GetContactpersoonRequest',
            'getContactpersoonResponse' => '\\RelatieApiV3\\StructType\\GetContactpersoonResponse',
            'getAfdelingRequest' => '\\RelatieApiV3\\StructType\\GetAfdelingRequest',
            'getAfdelingResponse' => '\\RelatieApiV3\\StructType\\GetAfdelingResponse',
            'getBedrijfInclContRequest' => '\\RelatieApiV3\\StructType\\GetBedrijfInclContRequest',
            'getBedrijfInclContResponse' => '\\RelatieApiV3\\StructType\\GetBedrijfInclContResponse',
            'checkEmailRequest' => '\\RelatieApiV3\\StructType\\CheckEmailRequest',
            'checkEmailResponse' => '\\RelatieApiV3\\StructType\\CheckEmailResponse',
            'searchEmailRequest' => '\\RelatieApiV3\\StructType\\SearchEmailRequest',
            'searchEmailResponse' => '\\RelatieApiV3\\StructType\\SearchEmailResponse',
            'searchBedrijfRequest' => '\\RelatieApiV3\\StructType\\SearchBedrijfRequest',
            'searchBedrijfResponse' => '\\RelatieApiV3\\StructType\\SearchBedrijfResponse',
            'searchNaamRequest' => '\\RelatieApiV3\\StructType\\SearchNaamRequest',
            'searchNaamResponse' => '\\RelatieApiV3\\StructType\\SearchNaamResponse',
            'searchPersoonRequest' => '\\RelatieApiV3\\StructType\\SearchPersoonRequest',
            'searchPersoonResponse' => '\\RelatieApiV3\\StructType\\SearchPersoonResponse',
            'searchBedrijfInclContRequest' => '\\RelatieApiV3\\StructType\\SearchBedrijfInclContRequest',
            'searchBedrijfInclContResponse' => '\\RelatieApiV3\\StructType\\SearchBedrijfInclContResponse',
            'checkCredentialsRequest' => '\\RelatieApiV3\\StructType\\CheckCredentialsRequest',
            'checkCredentialsResponse' => '\\RelatieApiV3\\StructType\\CheckCredentialsResponse',
            'generatePasswordRequest' => '\\RelatieApiV3\\StructType\\GeneratePasswordRequest',
            'generatePasswordResponse' => '\\RelatieApiV3\\StructType\\GeneratePasswordResponse',
            'getRelatieKortinggroepenRequest' => '\\RelatieApiV3\\StructType\\GetRelatieKortinggroepenRequest',
            'getRelatieKortinggroepenResponse' => '\\RelatieApiV3\\StructType\\GetRelatieKortinggroepenResponse',
            'getNetnummersRequest' => '\\RelatieApiV3\\StructType\\GetNetnummersRequest',
            'getNetnummersResponse' => '\\RelatieApiV3\\StructType\\GetNetnummersResponse',
            'getActiviteittypenRequest' => '\\RelatieApiV3\\StructType\\GetActiviteittypenRequest',
            'getActiviteittypenResponse' => '\\RelatieApiV3\\StructType\\GetActiviteittypenResponse',
            'createActiviteitRequest' => '\\RelatieApiV3\\StructType\\CreateActiviteitRequest',
            'createActiviteitResponse' => '\\RelatieApiV3\\StructType\\CreateActiviteitResponse',
            'getAdresRequest' => '\\RelatieApiV3\\StructType\\GetAdresRequest',
            'getAdresResponse' => '\\RelatieApiV3\\StructType\\GetAdresResponse',
            'updatePasswordRequest' => '\\RelatieApiV3\\StructType\\UpdatePasswordRequest',
            'updatePasswordResponse' => '\\RelatieApiV3\\StructType\\UpdatePasswordResponse',
            'getBicVanIbanRequest' => '\\RelatieApiV3\\StructType\\GetBicVanIbanRequest',
            'getBicVanIbanResponse' => '\\RelatieApiV3\\StructType\\GetBicVanIbanResponse',
            'getIbanVanBankrekeningRequest' => '\\RelatieApiV3\\StructType\\GetIbanVanBankrekeningRequest',
            'getIbanVanBankrekeningResponse' => '\\RelatieApiV3\\StructType\\GetIbanVanBankrekeningResponse',
            'checkIbanRequest' => '\\RelatieApiV3\\StructType\\CheckIbanRequest',
            'checkIbanResponse' => '\\RelatieApiV3\\StructType\\CheckIbanResponse',
            'checkTelefoonRequest' => '\\RelatieApiV3\\StructType\\CheckTelefoonRequest',
            'checkTelefoonResponse' => '\\RelatieApiV3\\StructType\\CheckTelefoonResponse',
            'updateEmailRequest' => '\\RelatieApiV3\\StructType\\UpdateEmailRequest',
            'updateEmailResponse' => '\\RelatieApiV3\\StructType\\UpdateEmailResponse',
            'searchUsernameRequest' => '\\RelatieApiV3\\StructType\\SearchUsernameRequest',
            'searchUsernameResponse' => '\\RelatieApiV3\\StructType\\SearchUsernameResponse',
            'searchSmartcodeRequest' => '\\RelatieApiV3\\StructType\\SearchSmartcodeRequest',
            'searchSmartcodeResponse' => '\\RelatieApiV3\\StructType\\SearchSmartcodeResponse',
            'getSmartcodeByRelNoRequest' => '\\RelatieApiV3\\StructType\\GetSmartcodeByRelNoRequest',
            'getSmartcodeByRelNoResponse' => '\\RelatieApiV3\\StructType\\GetSmartcodeByRelNoResponse',
            'getKenmerkenRequest' => '\\RelatieApiV3\\StructType\\GetKenmerkenRequest',
            'getKenmerkenResponse' => '\\RelatieApiV3\\StructType\\GetKenmerkenResponse',
        );
    }
}
