<?php

namespace RelatieApiV3\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AfdelingtableV3 StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met afdelingen bij een bedrijf
 * @subpackage Structs
 * @date 20200204
 * @package RelatieApiV3
 */
class AfdelingtableV3 extends AbstractStructBase
{
    /**
     * The afdeling
     * Meta information extracted from the WSDL
     * - documentation: afdelingen
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV3\StructType\AfdelinginfoRecV3[]
     */
    public $afdeling;
    /**
     * Constructor method for AfdelingtableV3
     * @uses AfdelingtableV3::setAfdeling()
     * @param \RelatieApiV3\StructType\AfdelinginfoRecV3[] $afdeling
     */
    public function __construct(array $afdeling = array())
    {
        $this
            ->setAfdeling($afdeling);
    }
    /**
     * Get afdeling value
     * @return \RelatieApiV3\StructType\AfdelinginfoRecV3[]|null
     */
    public function getAfdeling()
    {
        return $this->afdeling;
    }
    /**
     * This method is responsible for validating the values passed to the setAfdeling method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAfdeling method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAfdelingForArrayConstraintsFromSetAfdeling(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $afdelingtableV3AfdelingItem) {
            // validation for constraint: itemType
            if (!$afdelingtableV3AfdelingItem instanceof \RelatieApiV3\StructType\AfdelinginfoRecV3) {
                $invalidValues[] = is_object($afdelingtableV3AfdelingItem) ? get_class($afdelingtableV3AfdelingItem) : sprintf('%s(%s)', gettype($afdelingtableV3AfdelingItem), var_export($afdelingtableV3AfdelingItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The afdeling property can only contain items of type \RelatieApiV3\StructType\AfdelinginfoRecV3, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set afdeling value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\AfdelinginfoRecV3[] $afdeling
     * @return \RelatieApiV3\StructType\AfdelingtableV3
     */
    public function setAfdeling(array $afdeling = array())
    {
        // validation for constraint: array
        if ('' !== ($afdelingArrayErrorMessage = self::validateAfdelingForArrayConstraintsFromSetAfdeling($afdeling))) {
            throw new \InvalidArgumentException($afdelingArrayErrorMessage, __LINE__);
        }
        $this->afdeling = $afdeling;
        return $this;
    }
    /**
     * Add item to afdeling value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\AfdelinginfoRecV3 $item
     * @return \RelatieApiV3\StructType\AfdelingtableV3
     */
    public function addToAfdeling(\RelatieApiV3\StructType\AfdelinginfoRecV3 $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV3\StructType\AfdelinginfoRecV3) {
            throw new \InvalidArgumentException(sprintf('The afdeling property can only contain items of type \RelatieApiV3\StructType\AfdelinginfoRecV3, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->afdeling[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \RelatieApiV3\StructType\AfdelingtableV3
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
