<?php

namespace RelatieApiV3\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ContactpersooninfoRecV3 StructType
 * Meta information extracted from the WSDL
 * - documentation: Contactpersoon informatie gegevens
 * @subpackage Structs
 * @date 20200204
 * @package RelatieApiV3
 */
class ContactpersooninfoRecV3 extends AbstractStructBase
{
    /**
     * The contactpersoon
     * Meta information extracted from the WSDL
     * - documentation: De contactpersoongegevens
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV3\StructType\ContactpersoonRecV3
     */
    public $contactpersoon;
    /**
     * The leververbod
     * Meta information extracted from the WSDL
     * - documentation: De relatie heeft een leververbod
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $leververbod;
    /**
     * The functies
     * Meta information extracted from the WSDL
     * - documentation: De aan de relatie gekoppelde functies
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV3\StructType\RelatieFunctietableV3
     */
    public $functies;
    /**
     * The biccodes
     * Meta information extracted from the WSDL
     * - documentation: De aan de relatie gekoppelde biccodes
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV3\StructType\RelatieBiccodetableV3
     */
    public $biccodes;
    /**
     * The bedrijf
     * Meta information extracted from the WSDL
     * - documentation: Het bedrijf waar de contactpersoon werkzaam is
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV3\StructType\BedrijfRecV3
     */
    public $bedrijf;
    /**
     * Constructor method for ContactpersooninfoRecV3
     * @uses ContactpersooninfoRecV3::setContactpersoon()
     * @uses ContactpersooninfoRecV3::setLeververbod()
     * @uses ContactpersooninfoRecV3::setFuncties()
     * @uses ContactpersooninfoRecV3::setBiccodes()
     * @uses ContactpersooninfoRecV3::setBedrijf()
     * @param \RelatieApiV3\StructType\ContactpersoonRecV3 $contactpersoon
     * @param bool $leververbod
     * @param \RelatieApiV3\StructType\RelatieFunctietableV3 $functies
     * @param \RelatieApiV3\StructType\RelatieBiccodetableV3 $biccodes
     * @param \RelatieApiV3\StructType\BedrijfRecV3 $bedrijf
     */
    public function __construct(\RelatieApiV3\StructType\ContactpersoonRecV3 $contactpersoon = null, $leververbod = null, \RelatieApiV3\StructType\RelatieFunctietableV3 $functies = null, \RelatieApiV3\StructType\RelatieBiccodetableV3 $biccodes = null, \RelatieApiV3\StructType\BedrijfRecV3 $bedrijf = null)
    {
        $this
            ->setContactpersoon($contactpersoon)
            ->setLeververbod($leververbod)
            ->setFuncties($functies)
            ->setBiccodes($biccodes)
            ->setBedrijf($bedrijf);
    }
    /**
     * Get contactpersoon value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV3\StructType\ContactpersoonRecV3|null
     */
    public function getContactpersoon()
    {
        return isset($this->contactpersoon) ? $this->contactpersoon : null;
    }
    /**
     * Set contactpersoon value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV3\StructType\ContactpersoonRecV3 $contactpersoon
     * @return \RelatieApiV3\StructType\ContactpersooninfoRecV3
     */
    public function setContactpersoon(\RelatieApiV3\StructType\ContactpersoonRecV3 $contactpersoon = null)
    {
        if (is_null($contactpersoon) || (is_array($contactpersoon) && empty($contactpersoon))) {
            unset($this->contactpersoon);
        } else {
            $this->contactpersoon = $contactpersoon;
        }
        return $this;
    }
    /**
     * Get leververbod value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getLeververbod()
    {
        return isset($this->leververbod) ? $this->leververbod : null;
    }
    /**
     * Set leververbod value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $leververbod
     * @return \RelatieApiV3\StructType\ContactpersooninfoRecV3
     */
    public function setLeververbod($leververbod = null)
    {
        // validation for constraint: boolean
        if (!is_null($leververbod) && !is_bool($leververbod)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($leververbod, true), gettype($leververbod)), __LINE__);
        }
        if (is_null($leververbod) || (is_array($leververbod) && empty($leververbod))) {
            unset($this->leververbod);
        } else {
            $this->leververbod = $leververbod;
        }
        return $this;
    }
    /**
     * Get functies value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV3\StructType\RelatieFunctietableV3|null
     */
    public function getFuncties()
    {
        return isset($this->functies) ? $this->functies : null;
    }
    /**
     * Set functies value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV3\StructType\RelatieFunctietableV3 $functies
     * @return \RelatieApiV3\StructType\ContactpersooninfoRecV3
     */
    public function setFuncties(\RelatieApiV3\StructType\RelatieFunctietableV3 $functies = null)
    {
        if (is_null($functies) || (is_array($functies) && empty($functies))) {
            unset($this->functies);
        } else {
            $this->functies = $functies;
        }
        return $this;
    }
    /**
     * Get biccodes value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV3\StructType\RelatieBiccodetableV3|null
     */
    public function getBiccodes()
    {
        return isset($this->biccodes) ? $this->biccodes : null;
    }
    /**
     * Set biccodes value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV3\StructType\RelatieBiccodetableV3 $biccodes
     * @return \RelatieApiV3\StructType\ContactpersooninfoRecV3
     */
    public function setBiccodes(\RelatieApiV3\StructType\RelatieBiccodetableV3 $biccodes = null)
    {
        if (is_null($biccodes) || (is_array($biccodes) && empty($biccodes))) {
            unset($this->biccodes);
        } else {
            $this->biccodes = $biccodes;
        }
        return $this;
    }
    /**
     * Get bedrijf value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV3\StructType\BedrijfRecV3|null
     */
    public function getBedrijf()
    {
        return isset($this->bedrijf) ? $this->bedrijf : null;
    }
    /**
     * Set bedrijf value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV3\StructType\BedrijfRecV3 $bedrijf
     * @return \RelatieApiV3\StructType\ContactpersooninfoRecV3
     */
    public function setBedrijf(\RelatieApiV3\StructType\BedrijfRecV3 $bedrijf = null)
    {
        if (is_null($bedrijf) || (is_array($bedrijf) && empty($bedrijf))) {
            unset($this->bedrijf);
        } else {
            $this->bedrijf = $bedrijf;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \RelatieApiV3\StructType\ContactpersooninfoRecV3
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
