<?php

namespace RelatieApiV3\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ContactpersoontableV3 StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met contactpersonen bij een bedrijf
 * @subpackage Structs
 * @date 20200204
 * @package RelatieApiV3
 */
class ContactpersoontableV3 extends AbstractStructBase
{
    /**
     * The contactpersoon
     * Meta information extracted from the WSDL
     * - documentation: Contactpersonen
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV3\StructType\ContactpersooninfoRecV3[]
     */
    public $contactpersoon;
    /**
     * Constructor method for ContactpersoontableV3
     * @uses ContactpersoontableV3::setContactpersoon()
     * @param \RelatieApiV3\StructType\ContactpersooninfoRecV3[] $contactpersoon
     */
    public function __construct(array $contactpersoon = array())
    {
        $this
            ->setContactpersoon($contactpersoon);
    }
    /**
     * Get contactpersoon value
     * @return \RelatieApiV3\StructType\ContactpersooninfoRecV3[]|null
     */
    public function getContactpersoon()
    {
        return $this->contactpersoon;
    }
    /**
     * This method is responsible for validating the values passed to the setContactpersoon method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContactpersoon method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContactpersoonForArrayConstraintsFromSetContactpersoon(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $contactpersoontableV3ContactpersoonItem) {
            // validation for constraint: itemType
            if (!$contactpersoontableV3ContactpersoonItem instanceof \RelatieApiV3\StructType\ContactpersooninfoRecV3) {
                $invalidValues[] = is_object($contactpersoontableV3ContactpersoonItem) ? get_class($contactpersoontableV3ContactpersoonItem) : sprintf('%s(%s)', gettype($contactpersoontableV3ContactpersoonItem), var_export($contactpersoontableV3ContactpersoonItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The contactpersoon property can only contain items of type \RelatieApiV3\StructType\ContactpersooninfoRecV3, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set contactpersoon value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\ContactpersooninfoRecV3[] $contactpersoon
     * @return \RelatieApiV3\StructType\ContactpersoontableV3
     */
    public function setContactpersoon(array $contactpersoon = array())
    {
        // validation for constraint: array
        if ('' !== ($contactpersoonArrayErrorMessage = self::validateContactpersoonForArrayConstraintsFromSetContactpersoon($contactpersoon))) {
            throw new \InvalidArgumentException($contactpersoonArrayErrorMessage, __LINE__);
        }
        $this->contactpersoon = $contactpersoon;
        return $this;
    }
    /**
     * Add item to contactpersoon value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\ContactpersooninfoRecV3 $item
     * @return \RelatieApiV3\StructType\ContactpersoontableV3
     */
    public function addToContactpersoon(\RelatieApiV3\StructType\ContactpersooninfoRecV3 $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV3\StructType\ContactpersooninfoRecV3) {
            throw new \InvalidArgumentException(sprintf('The contactpersoon property can only contain items of type \RelatieApiV3\StructType\ContactpersooninfoRecV3, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->contactpersoon[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \RelatieApiV3\StructType\ContactpersoontableV3
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
