<?php

namespace RelatieApiV3\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ProvinciecodetableV3 StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met beschikbare provinciecodes
 * @subpackage Structs
 * @date 20200204
 * @package RelatieApiV3
 */
class ProvinciecodetableV3 extends AbstractStructBase
{
    /**
     * The provinciecode
     * Meta information extracted from the WSDL
     * - documentation: Provinciecodes
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV3\StructType\ProvinciecodeRecV3[]
     */
    public $provinciecode;
    /**
     * Constructor method for ProvinciecodetableV3
     * @uses ProvinciecodetableV3::setProvinciecode()
     * @param \RelatieApiV3\StructType\ProvinciecodeRecV3[] $provinciecode
     */
    public function __construct(array $provinciecode = array())
    {
        $this
            ->setProvinciecode($provinciecode);
    }
    /**
     * Get provinciecode value
     * @return \RelatieApiV3\StructType\ProvinciecodeRecV3[]|null
     */
    public function getProvinciecode()
    {
        return $this->provinciecode;
    }
    /**
     * This method is responsible for validating the values passed to the setProvinciecode method
     * This method is willingly generated in order to preserve the one-line inline validation within the setProvinciecode method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateProvinciecodeForArrayConstraintsFromSetProvinciecode(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $provinciecodetableV3ProvinciecodeItem) {
            // validation for constraint: itemType
            if (!$provinciecodetableV3ProvinciecodeItem instanceof \RelatieApiV3\StructType\ProvinciecodeRecV3) {
                $invalidValues[] = is_object($provinciecodetableV3ProvinciecodeItem) ? get_class($provinciecodetableV3ProvinciecodeItem) : sprintf('%s(%s)', gettype($provinciecodetableV3ProvinciecodeItem), var_export($provinciecodetableV3ProvinciecodeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The provinciecode property can only contain items of type \RelatieApiV3\StructType\ProvinciecodeRecV3, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set provinciecode value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\ProvinciecodeRecV3[] $provinciecode
     * @return \RelatieApiV3\StructType\ProvinciecodetableV3
     */
    public function setProvinciecode(array $provinciecode = array())
    {
        // validation for constraint: array
        if ('' !== ($provinciecodeArrayErrorMessage = self::validateProvinciecodeForArrayConstraintsFromSetProvinciecode($provinciecode))) {
            throw new \InvalidArgumentException($provinciecodeArrayErrorMessage, __LINE__);
        }
        $this->provinciecode = $provinciecode;
        return $this;
    }
    /**
     * Add item to provinciecode value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\ProvinciecodeRecV3 $item
     * @return \RelatieApiV3\StructType\ProvinciecodetableV3
     */
    public function addToProvinciecode(\RelatieApiV3\StructType\ProvinciecodeRecV3 $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV3\StructType\ProvinciecodeRecV3) {
            throw new \InvalidArgumentException(sprintf('The provinciecode property can only contain items of type \RelatieApiV3\StructType\ProvinciecodeRecV3, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->provinciecode[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \RelatieApiV3\StructType\ProvinciecodetableV3
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
