<?php

namespace RelatieApiV3\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RelatieKortinggroeptableV3 StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met beschikbare relatie kortinggroepen
 * @subpackage Structs
 * @date 20200204
 * @package RelatieApiV3
 */
class RelatieKortinggroeptableV3 extends AbstractStructBase
{
    /**
     * The relatieKortinggroep
     * Meta information extracted from the WSDL
     * - documentation: Relatie kortinggroepen
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV3\StructType\RelatieKortinggroepRecV3[]
     */
    public $relatieKortinggroep;
    /**
     * Constructor method for RelatieKortinggroeptableV3
     * @uses RelatieKortinggroeptableV3::setRelatieKortinggroep()
     * @param \RelatieApiV3\StructType\RelatieKortinggroepRecV3[] $relatieKortinggroep
     */
    public function __construct(array $relatieKortinggroep = array())
    {
        $this
            ->setRelatieKortinggroep($relatieKortinggroep);
    }
    /**
     * Get relatieKortinggroep value
     * @return \RelatieApiV3\StructType\RelatieKortinggroepRecV3[]|null
     */
    public function getRelatieKortinggroep()
    {
        return $this->relatieKortinggroep;
    }
    /**
     * This method is responsible for validating the values passed to the setRelatieKortinggroep method
     * This method is willingly generated in order to preserve the one-line inline validation within the setRelatieKortinggroep method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateRelatieKortinggroepForArrayConstraintsFromSetRelatieKortinggroep(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $relatieKortinggroeptableV3RelatieKortinggroepItem) {
            // validation for constraint: itemType
            if (!$relatieKortinggroeptableV3RelatieKortinggroepItem instanceof \RelatieApiV3\StructType\RelatieKortinggroepRecV3) {
                $invalidValues[] = is_object($relatieKortinggroeptableV3RelatieKortinggroepItem) ? get_class($relatieKortinggroeptableV3RelatieKortinggroepItem) : sprintf('%s(%s)', gettype($relatieKortinggroeptableV3RelatieKortinggroepItem), var_export($relatieKortinggroeptableV3RelatieKortinggroepItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The relatieKortinggroep property can only contain items of type \RelatieApiV3\StructType\RelatieKortinggroepRecV3, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set relatieKortinggroep value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\RelatieKortinggroepRecV3[] $relatieKortinggroep
     * @return \RelatieApiV3\StructType\RelatieKortinggroeptableV3
     */
    public function setRelatieKortinggroep(array $relatieKortinggroep = array())
    {
        // validation for constraint: array
        if ('' !== ($relatieKortinggroepArrayErrorMessage = self::validateRelatieKortinggroepForArrayConstraintsFromSetRelatieKortinggroep($relatieKortinggroep))) {
            throw new \InvalidArgumentException($relatieKortinggroepArrayErrorMessage, __LINE__);
        }
        $this->relatieKortinggroep = $relatieKortinggroep;
        return $this;
    }
    /**
     * Add item to relatieKortinggroep value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\RelatieKortinggroepRecV3 $item
     * @return \RelatieApiV3\StructType\RelatieKortinggroeptableV3
     */
    public function addToRelatieKortinggroep(\RelatieApiV3\StructType\RelatieKortinggroepRecV3 $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV3\StructType\RelatieKortinggroepRecV3) {
            throw new \InvalidArgumentException(sprintf('The relatieKortinggroep property can only contain items of type \RelatieApiV3\StructType\RelatieKortinggroepRecV3, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->relatieKortinggroep[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \RelatieApiV3\StructType\RelatieKortinggroeptableV3
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
