<?php

namespace RelatieApiV3\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RelatienrtableV3 StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met Relatienummers
 * @subpackage Structs
 * @date 20200204
 * @package RelatieApiV3
 */
class RelatienrtableV3 extends AbstractStructBase
{
    /**
     * The relatienr
     * Meta information extracted from the WSDL
     * - documentation: relatienummers
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV3\StructType\RelatienrRecV3[]
     */
    public $relatienr;
    /**
     * Constructor method for RelatienrtableV3
     * @uses RelatienrtableV3::setRelatienr()
     * @param \RelatieApiV3\StructType\RelatienrRecV3[] $relatienr
     */
    public function __construct(array $relatienr = array())
    {
        $this
            ->setRelatienr($relatienr);
    }
    /**
     * Get relatienr value
     * @return \RelatieApiV3\StructType\RelatienrRecV3[]|null
     */
    public function getRelatienr()
    {
        return $this->relatienr;
    }
    /**
     * This method is responsible for validating the values passed to the setRelatienr method
     * This method is willingly generated in order to preserve the one-line inline validation within the setRelatienr method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateRelatienrForArrayConstraintsFromSetRelatienr(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $relatienrtableV3RelatienrItem) {
            // validation for constraint: itemType
            if (!$relatienrtableV3RelatienrItem instanceof \RelatieApiV3\StructType\RelatienrRecV3) {
                $invalidValues[] = is_object($relatienrtableV3RelatienrItem) ? get_class($relatienrtableV3RelatienrItem) : sprintf('%s(%s)', gettype($relatienrtableV3RelatienrItem), var_export($relatienrtableV3RelatienrItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The relatienr property can only contain items of type \RelatieApiV3\StructType\RelatienrRecV3, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set relatienr value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\RelatienrRecV3[] $relatienr
     * @return \RelatieApiV3\StructType\RelatienrtableV3
     */
    public function setRelatienr(array $relatienr = array())
    {
        // validation for constraint: array
        if ('' !== ($relatienrArrayErrorMessage = self::validateRelatienrForArrayConstraintsFromSetRelatienr($relatienr))) {
            throw new \InvalidArgumentException($relatienrArrayErrorMessage, __LINE__);
        }
        $this->relatienr = $relatienr;
        return $this;
    }
    /**
     * Add item to relatienr value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\RelatienrRecV3 $item
     * @return \RelatieApiV3\StructType\RelatienrtableV3
     */
    public function addToRelatienr(\RelatieApiV3\StructType\RelatienrRecV3 $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV3\StructType\RelatienrRecV3) {
            throw new \InvalidArgumentException(sprintf('The relatienr property can only contain items of type \RelatieApiV3\StructType\RelatienrRecV3, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->relatienr[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \RelatieApiV3\StructType\RelatienrtableV3
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
