<?php

namespace RelatieApiV3\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TitulatuurcodetableV3 StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met beschikbare titulatuur codes
 * @subpackage Structs
 * @date 20200204
 * @package RelatieApiV3
 */
class TitulatuurcodetableV3 extends AbstractStructBase
{
    /**
     * The titulatuurcode
     * Meta information extracted from the WSDL
     * - documentation: Titulatuurcodes
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV3\StructType\TitulatuurcodeRecV3[]
     */
    public $titulatuurcode;
    /**
     * Constructor method for TitulatuurcodetableV3
     * @uses TitulatuurcodetableV3::setTitulatuurcode()
     * @param \RelatieApiV3\StructType\TitulatuurcodeRecV3[] $titulatuurcode
     */
    public function __construct(array $titulatuurcode = array())
    {
        $this
            ->setTitulatuurcode($titulatuurcode);
    }
    /**
     * Get titulatuurcode value
     * @return \RelatieApiV3\StructType\TitulatuurcodeRecV3[]|null
     */
    public function getTitulatuurcode()
    {
        return $this->titulatuurcode;
    }
    /**
     * This method is responsible for validating the values passed to the setTitulatuurcode method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTitulatuurcode method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTitulatuurcodeForArrayConstraintsFromSetTitulatuurcode(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $titulatuurcodetableV3TitulatuurcodeItem) {
            // validation for constraint: itemType
            if (!$titulatuurcodetableV3TitulatuurcodeItem instanceof \RelatieApiV3\StructType\TitulatuurcodeRecV3) {
                $invalidValues[] = is_object($titulatuurcodetableV3TitulatuurcodeItem) ? get_class($titulatuurcodetableV3TitulatuurcodeItem) : sprintf('%s(%s)', gettype($titulatuurcodetableV3TitulatuurcodeItem), var_export($titulatuurcodetableV3TitulatuurcodeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The titulatuurcode property can only contain items of type \RelatieApiV3\StructType\TitulatuurcodeRecV3, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set titulatuurcode value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\TitulatuurcodeRecV3[] $titulatuurcode
     * @return \RelatieApiV3\StructType\TitulatuurcodetableV3
     */
    public function setTitulatuurcode(array $titulatuurcode = array())
    {
        // validation for constraint: array
        if ('' !== ($titulatuurcodeArrayErrorMessage = self::validateTitulatuurcodeForArrayConstraintsFromSetTitulatuurcode($titulatuurcode))) {
            throw new \InvalidArgumentException($titulatuurcodeArrayErrorMessage, __LINE__);
        }
        $this->titulatuurcode = $titulatuurcode;
        return $this;
    }
    /**
     * Add item to titulatuurcode value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV3\StructType\TitulatuurcodeRecV3 $item
     * @return \RelatieApiV3\StructType\TitulatuurcodetableV3
     */
    public function addToTitulatuurcode(\RelatieApiV3\StructType\TitulatuurcodeRecV3 $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV3\StructType\TitulatuurcodeRecV3) {
            throw new \InvalidArgumentException(sprintf('The titulatuurcode property can only contain items of type \RelatieApiV3\StructType\TitulatuurcodeRecV3, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->titulatuurcode[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \RelatieApiV3\StructType\TitulatuurcodetableV3
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
